## libaws 3.3.2

=== Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

BROOTDIR=.build

#  NOTE: You should not have to change this makefile. Configuration options
#  can be changed in makefile.conf

include makefile.conf
#  default setup

include makefile.checks
#  consistency checks

ifeq (${PRJ_TARGET}, Windows_NT)
EXEEXT	= .exe
OS      = Windows_NT
else
ifeq ($(PRJ_TARGET), Darwin)
OS      = Darwin
else
OS      = UNIX
endif
EXEEXT	=
endif

ifeq ($(DEBUG), true)
MAKE_OPT	=
BDIR		= $(BROOTDIR)/$(TARGET)/debug
else
MAKE_OPT	= -s
BDIR		= $(BROOTDIR)/$(TARGET)/release
endif

#############################################################################
#  NO NEED TO CHANGE ANYTHING PAST THIS POINT
#############################################################################

all: build

ALL_OPTIONS	= $(MAKE_OPT) SOCKET="$(SOCKET)" XMLADA="$(XMLADA)" \
	ASIS="$(ASIS)" EXEEXT="$(EXEEXT)" LDAP="$(LDAP)" DEBUG="$(DEBUG)" \
	RM="$(RM)" CP="$(CP)" MKDIR="$(MKDIR)" SED="$(SED)" GCC="$(GCC)" \
	GPRBUILD="$(GPRBUILD)" ZLIB="$(ZLIB)" BDIR="$(BDIR)" \
	prefix="$(prefix)" ENABLE_SHARED="$(ENABLE_SHARED)" \
	SOEXT="$(SOEXT)" BUILD_DOC_SCRIPT="false" GNAT="$(GNAT)" \
	T2A="../../$(BDIR)/static/tools/templates2ada" \
	LIBRARY_TYPE="$(LIBRARY_TYPE)" PYTHON="$(PYTHON)" \
	TARGET="$(TARGET)" IS_CROSS=$(IS_CROSS) GPRINSTALL="$(GPRINSTALL)"

build-doc:
	echo ""
	echo "=== Build doc"
	${MAKE} -C docs html latexpdf
	${MAKE} -C templates_parser/docs html latexpdf

run_regtests:
	echo ""
	echo "=== Run regression tests"
	echo ""
	$(MAKE) -C regtests aws_regtests $(ALL_OPTIONS)

force:

#############################################################################
#  Configuration for GNAT Projet Files

MODULES = config include ssl src gps regtests demos

MODULES_SETUP = ${MODULES:%=%_setup}

MODULES_INSTALL = ${MODULES:%=%_install}

MODULES_CHECK = ${MODULES:%=%_check}

#  XML/Ada

ifeq (${XMLADA}, true)
PRJ_XMLADA=Installed
GEXT_MODULE := gxmlada_setup
else
PRJ_XMLADA=Disabled
GEXT_MODULE := gxmlada_dummy
endif

ifndef TP_XMLADA
TP_XMLADA=$(PRJ_XMLADA)
endif

#  Ldap

ifeq (${LDAP}, true)
PRJ_LDAP=Installed
else
PRJ_LDAP=Disabled
endif

#  ASIS

ifeq (${ASIS}, true)
PRJ_ASIS=Installed
GEXT_MODULE := $(GEXT_MODULE) gasis_setup
else
PRJ_ASIS=Disabled
GEXT_MODULE := $(GEXT_MODULE) gasis_dummy
endif

#  Sockets

ifeq ($(IPv6), true)
PRJ_SOCKLIB=IPv6
else
PRJ_SOCKLIB=GNAT
endif

#  Debug

ifeq ($(DEBUG), true)
PRJ_BUILD=Debug
else
PRJ_BUILD=Release
endif

ifeq ($(IS_CROSS), true)
TPREFIX=$(DESTDIR)$(prefix)/$(TARGET)
else
TPREFIX=$(DESTDIR)$(prefix)
endif

#  Install directories

I_INC	= $(TPREFIX)/include/aws

GALL_OPTIONS := $(ALL_OPTIONS) \
	PRJ_BUILD="$(PRJ_BUILD)" \
	PRJ_XMLADA="$(PRJ_XMLADA)" \
	PRJ_ASIS="$(PRJ_ASIS)" \
	PRJ_SOCKLIB="$(PRJ_SOCKLIB)" \
	PRJ_LDAP="$(PRJ_LDAP)" \
	PRJ_TARGET="$(PRJ_TARGET)" \
	TP_XMLADA="$(TP_XMLADA)" \
	I_INC="$(I_INC)"

${MODULES_SETUP}: force
	${MAKE} -C ${@:%_setup=%} setup $(GALL_OPTIONS)

${MODULES_INSTALL}: force
	${MAKE} -C ${@:%_install=%} install $(GALL_OPTIONS)

${MODULES_CHECK}: force
	${MAKE} -C ${@:%_check=%} check $(GALL_OPTIONS)

GPROPTS = -XPRJ_BUILD=$(PRJ_BUILD) -XPRJ_SOCKLIB=$(PRJ_SOCKLIB) \
		-XPRJ_ASIS=$(PRJ_ASIS) -XPRJ_LDAP=$(PRJ_LDAP) \
		-XPRJ_XMLADA=$(PRJ_XMLADA) -XTARGET=$(TARGET) \
		-XPROCESSORS=$(PROCESSORS) -XSOCKET=$(SOCKET) \
		-XPRJ_TARGET=$(PRJ_TARGET)

GPR_STATIC = -XLIBRARY_TYPE=static -XXMLADA_BUILD=static
GPR_SHARED = -XLIBRARY_TYPE=relocatable -XXMLADA_BUILD=relocatable

#######################################################################
#  build

build-native:
	$(GPRBUILD) -p $(GPROPTS) $(GPR_STATIC) tools/tools.gpr
ifeq (${ENABLE_SHARED}, true)
	$(GPRBUILD) -p $(GPROPTS) $(GPR_SHARED) aws.gpr
endif
	$(GPRBUILD) -p $(GPROPTS) $(GPR_STATIC) gps/gps_support.gpr
	${MAKE} -C gps $(GALL_OPTIONS) after-build

build-cross:
	$(GPRBUILD) -p --target=$(TARGET) $(GPROPTS) \
		$(GPR_STATIC) tools/tools.gpr
ifeq (${ENABLE_SHARED}, true)
	$(GPRBUILD) -p --target=$(TARGET) $(GPROPTS) \
		$(GPR_SHARED) aws.gpr
endif

ifeq (${IS_CROSS}, true)
build: build-cross
else
build: build-native
endif

#######################################################################
#  clean

clean-native:
	-$(GPRCLEAN) $(GPROPTS) -XLIBRARY_TYPE=static tools/tools.gpr
ifeq (${ENABLE_SHARED}, true)
	-$(GPRCLEAN) $(GPROPTS) -XLIBRARY_TYPE=relocatable aws.gpr
endif
	-$(GPRCLEAN) $(GPROPTS) -XLIBRARY_TYPE=static gps/gps_support.gpr

clean-cross:
	-$(GPRCLEAN) $(GPROPTS) --target=$(TARGET) \
		-XLIBRARY_TYPE=static aws.gpr
ifeq (${ENABLE_SHARED}, true)
	-$(GPRCLEAN) $(GPROPTS) --target=$(TARGET) \
		-XLIBRARY_TYPE=relocatable aws.gpr
endif

ifeq (${IS_CROSS}, true)
clean: clean-cross
else
clean: clean-native
endif
	-${MAKE} -C regtests $(GALL_OPTIONS) clean
	-${MAKE} -C docs $(GALL_OPTIONS) clean
	-${RM} -fr $(BROOTDIR)
	-${RM} -f makefile.setup

#######################################################################
#  install

install-clean:
ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/aws))
	-$(GPRINSTALL) $(GPROPTS) --uninstall --prefix=$(TPREFIX) aws
endif

install-native: install-clean
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) \
		-XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) aws.gpr
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) \
		-XLIBRARY_TYPE=static --mode=usage \
		--install-name=aws tools/tools.gpr
ifeq (${ENABLE_SHARED}, true)
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) \
		-XLIBRARY_TYPE=$(OTHER_LIBRARY_TYPE) \
		--build-name=$(OTHER_LIBRARY_TYPE) aws.gpr
endif

install-cross: install-clean
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) \
		--target=$(TARGET) \
		-XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) aws.gpr
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) --mode=usage \
		--target=$(TARGET) -XLIBRARY_TYPE=static \
		--install-name=aws tools/tools.gpr
ifeq (${ENABLE_SHARED}, true)
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(TPREFIX) \
		--target=$(TARGET) -XLIBRARY_TYPE=$(OTHER_LIBRARY_TYPE) \
		--build-name=$(OTHER_LIBRARY_TYPE) aws.gpr
endif

ifeq (${IS_CROSS}, true)
install: install-cross
else
install: install-native
endif

#######################################################################

check: $(MODULES_CHECK)

PRJDIR = $(BROOTDIR)/projects

gasis_dummy:
	echo "abstract project AWS_ASIS is" > $(PRJDIR)/aws_asis.gpr;
	echo "   for Source_Dirs use ();" >> $(PRJDIR)/aws_asis.gpr;
	echo "end AWS_ASIS;" >> $(PRJDIR)/aws_asis.gpr;

gasis_setup:
	echo 'with "asis";' > $(PRJDIR)/aws_asis.gpr
	echo "abstract project AWS_ASIS is" >> $(PRJDIR)/aws_asis.gpr
	echo "   for Source_Dirs use ();" >> $(PRJDIR)/aws_asis.gpr
	echo "end AWS_ASIS;" >> $(PRJDIR)/aws_asis.gpr

gxmlada_dummy:
	echo "abstract project AWS_XMLADA is" > $(PRJDIR)/aws_xmlada.gpr
	echo "   for Source_Dirs use ();" >> $(PRJDIR)/aws_xmlada.gpr
	echo "end AWS_XMLADA;" >> $(PRJDIR)/aws_xmlada.gpr

gxmlada_setup:
	echo 'with "xmlada";' > $(PRJDIR)/aws_xmlada.gpr
	echo "abstract project AWS_XMLADA is" >> $(PRJDIR)/aws_xmlada.gpr
	echo "   for Source_Dirs use ();" >> $(PRJDIR)/aws_xmlada.gpr
	echo "end AWS_XMLADA;" >> $(PRJDIR)/aws_xmlada.gpr

setup_dir:
	-$(MKDIR) $(PRJDIR)

CONFGPR	= $(PRJDIR)/aws_config.gpr

ifeq (${SOCKET}, ssl)
SOCKET = openssl
endif

SSL_SUFFIX=$(SOCKET)

ifeq (${SOCKET}, std)
SSL_SUFFIX = dummy
endif

setup_config:
	echo 'abstract project AWS_Config is' > $(CONFGPR)
	echo '   for Source_Dirs use ();' >> $(CONFGPR)
	echo >> $(CONFGPR)
	echo '   type Boolean_Type is ("true", "false");' >> $(CONFGPR)
	echo '   Zlib_Exists : Boolean_Type := "$(ZLIB)";' >> $(CONFGPR)
	echo >> $(CONFGPR)
	echo '   type SOCKET_Type is ("std", "openssl", "gnutls");' \
	  >> $(CONFGPR)
	echo '   SOCKET : SOCKET_Type := "$(SOCKET)";' >> $(CONFGPR)
	echo >> $(CONFGPR)
	echo 'end AWS_Config;' >> $(CONFGPR)

#  Set up all modules to create all the directories. This way it is possible
#  to build AWS using GPS using any settings.

setup_modules: $(MODULES_SETUP)

gen_setup:
	echo "prefix=$(prefix)" > makefile.setup
	echo "DEFAULT_LIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE)" >> makefile.setup
	echo "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	echo "ZLIB=$(ZLIB)" >> makefile.setup
	echo "XMLADA=$(XMLADA)" >> makefile.setup
	echo "ASIS=$(ASIS)" >> makefile.setup
	echo "IPv6=$(IPv6)" >> makefile.setup
	echo "SOCKET=$(SOCKET)" >> makefile.setup
	echo "LDAP=$(LDAP)" >> makefile.setup
	echo "DEBUG=$(DEBUG)" >> makefile.setup
	echo "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	echo "TARGET=$(TARGET)" >> makefile.setup
	echo "GSOAP=false" >> makefile.setup

setup: gen_setup setup_dir setup_modules setup_config setup_tp $(GEXT_MODULE)

setup_tp:
	$(MAKE) -C templates_parser setup $(GALL_OPTIONS)

## libaws 2.10.2

=== debian/changelog ===
libaws (2.10.2-4) unstable; urgency=low

  * debian/rules (libaws-doc): also install the Makefiles of the examples.
  * debian/patches/demos.patch: restore upstream's makefiles.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  9 Apr 2012 21:32:25 +0200

libaws (2.10.2-3) unstable; urgency=low

  * debian/build_aws.gpr: work around a compiler bug on armel.
    Add Linker_Options that cause the tools to link against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 29 Feb 2012 21:33:36 +0100

libaws (2.10.2-2) unstable; urgency=low

  [Thomas Preud'homme]
  * Include files from directory "extended".  Closes: #660541.

  [Ludovic Brenta]
  * debian/aws.gpr: replace Library_Options (used when building the
    library) with Linker.Linker_Options (used when linking executables
    against the library) so that executables are linked against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Feb 2012 21:02:10 +0100

libaws (2.10.2-1) unstable; urgency=low

  [Xavier Grave]
  * debian/rules add get-orig-target with anonymous connection
  * debian/control (Build-Depends): gnat-4.6, libxmlada4.1-dev,
    libasis2010-dev, libtemplates-parser11.6-dev. Closes: #642640.
  * Refresh patches.
  * add lintian overrides for shlib-with-executable-stack warning
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * New upstream version (git revision
    d3e4f7dd9b732de6ccfd5b34a5421f3e778aafb1).
  * Package renamings pursuant to Debian Policy for Ada:
    libaws2.7-dev -> libaws2.10.2-dev
    libaws2.7     -> libaws2.10.2
  * debian/control (Depends): remove ada-compiler, see
    http://lists.debian.org/debian-ada/2011/12/msg00012.html
    (Build-Depends-Indep): new, move some build dependencies there.
    (Architecture): all.
    (Conflicts, Replaces): remove; unnecessary because gnat-4.4 and
    gnat-4.6 already conflict.
    (Standards-Version): 3.9.2.
  * debian/source/{format,options}: new; use 3.0 (quilt).
  * debian/rules: delegate patching and unpatching to dpkg-source.
    - Use gnatgcc, not gcc, to produce shared libraries.
    - (clean): cleanup documentation without using upstream's gpr files.
    - (build): make compatible with arch-dep-only and arch-indep-only
      builds (dpkg-buildpackage -B, -A).
  * debian/patches/aws_net_ssl_ads.patch: refresh.
  * debian/build_aws.gpr, debian/aws.gpr: turn into library project files.
  * debian/rules, debian/tools.gpr, debian/ada2wsdl.gpr: adjust accordingly.
  * debian/patches/socket_leaks_[12].patch: new; backport memory leak fixes
    from the main line.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 12 Feb 2012 22:54:04 +0100

libaws (2.7-4) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568439.
    (libaws2.7-dev): depend on gnat, ada-compiler in addition to gnat-4.4.
    (libaws2.7-dbg, libaws-doc): Suggest gnat, ada-compiler for better
    visibility in aptitude.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Jun 2010 23:10:56 +0200

libaws (2.7-3) unstable; urgency=medium

  * debian/control (Architecture): temporarily disable mips due to #566234.
  * Remove support for strong crypto again; restore debian/README.Debian
    with the symptoms of the bug.  Closes: #567813.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 23:44:00 +0100

libaws (2.7-2) unstable; urgency=low

  * debian/copyright: make machine-parseable.
  * debian/patches/GPL.patch: remove the special exception text from
    files where it was still present.
  * debian/{build_aws,aws,ada2wsdl,tools}.gpr:
    - adjust to libtemplates-parser11.5-dev (>= 11.5-2).  Closes: #564346.
    - Use GNU TLS for strong crypto, thanks to David Sauvage. Closes: #564282.
    - Pass --as-needed to the linker to only link against needed libraries.
  * debian/README.Debian: explain.
  * debian/control:
    - build-depend on libgnutls-dev.
    - tighten build-dependency to libtemplates-parser11.5-dev (>= 11.5-2).
    - (*-dev): suggest libjs-prototype.
  * debian/rules: explicitly link libaws.so against libgcrypt and liblber
    as it uses symbols from these libraries; this indirectly adds needed
    dependencies to the package.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 10 Jan 2010 15:09:25 +0100

libaws (2.7-1) unstable; urgency=low

  * New upstream release (Subversion version 149689).  Closes: #560677.
  * debian/control (Build-Depends): migrate to gnat-4.4, libxmlada3.2-dev,
    libasis2008-devlibtemplates-parser11.5-dev.
    (Architecture): remove alpha due to http://gcc.gnu.org/PR42073
    (libaws-dev): rename to libaws2.7-dev per Debian Policy for Ada, with
    Conflicts: and Replaces:.
    (libaws2.5): rename to libaws2.7.
  * debian/rules: extract aliversion and soversion from debian/control.
    (libaws-doc): exclude bundled, out-of-date and buggy JavaScript files
    from the package.  Users should use the ones provided by other Debian
    packages instead.  Fixes CVE-2008-7720 and closes: #555221, #555222.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Dec 2009 15:49:01 +0100

libaws (2.5-3) unstable; urgency=low

  * Rebuild with the .orig.tar.gz file in the parent directory, so as not
    to turn the package into a native one :(

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 22 Sep 2009 18:42:13 +0200

libaws (2.5-2) unstable; urgency=low

  * debian/control (Build-Depends): tighten dependencies and rebuild.
    Closes: #536949.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 Sep 2009 16:05:42 +0200

libaws (2.5-1) unstable; urgency=low

  * New upstream release (Subversion revision 125080).
  * Recompile against libasis (=2007-5).  Closes: #536949.
  * Move all patches to debian/patches and change them to -p1.
  * debian/control (Source-Version): bump to 3.8.3.
    (Architectures): add kfreebsd-amd64.
    (Depends): s/source:Version/binary:Version/g, except for dependencies


=== debian/control ===
Source: libaws
Priority: optional
Section: libs
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Build-Depends: debhelper (>= 8.1.3), gnat, gnat-4.6, quilt, libldap2-dev,
 zlib1g-dev, libxmlada4.1-dev (>= 4.1), libasis2010-dev (>= 2010),
 libtemplates-parser11.6-dev (>= 11.6)
Build-Depends-Indep: texinfo,
 texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
Standards-Version: 3.9.2

Package: libaws2.10.2-dev
Section: libdevel
Architecture: any
Depends: libaws2.10.2 (= ${binary:Version}), gnat, gnat-4.6,
 libldap2-dev, libtemplates-parser11.6-dev, libxmlada4.1-dev, zlib1g-dev,
 ${misc:Depends}
Recommends: libaws-bin (= ${binary:Version}), libaws-doc (= ${source:Version})
Suggests: libaws-dbg (= ${binary:Version}), libjs-prototype
Description: Ada Web Server development files
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
  - A Web parameters module. This module takes care of retrieving the
    forms or URL parameters and to build an associative table for easy
    access.
  - A session server, this is a very important module to be able to
    keep client's data from page to page.
  - Support SOAP to develop Web Services.
  - A tool to generate Web Services stubs/skeletons from a WSDL
    document.
  - A template parser, this module makes it possible to completely
    separate the Web design from the code. No more scripting into your Web
    page.
  - Support for Secure Sockets (HTTPS/SSL), this is based on the GNU TLS
    library.
  - Support for large servers using dispatchers based on URI, request
    methods.
  - Support for virtual hosting (dispatchers based on the host name).
  - Support for server push.
  - A directory browser ready to be used in any application.
  - A status page to get many information about the current AWS server.
  - A log module. Log files keep information about all resources
    requested to the server.
  - Hotplug modules which can be loaded/unloaded dynamically to add
    specific features to a server.
  - A communication API to exchange data between applications using the
    HTTP protocol.
  - A configuration API to tune/change the server parameters without
    recompilation.
  - A client API to retrieve any Web page from a Web site.
  - A Web Page service to build a simple static page server.
  - Support for SMTP, LDAP and Jabber protocols.

Package: libaws-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada Web Server utilities
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains utility programs to help develop web applications
 with AWS:
 .
 awsres transforms any text or binary file into an Ada unit which you
 can compile into your application, thereby making your application
 completely independent of any external files (think: embedded)
 .
 ada2wsdl, an ASIS program, reads Ada unit specifications and creates
 descriptions in the Web Service Description Language, so that you can
 advertise your web service application to the world.
 .
 wsdl2aws does the opposite job: it creates an Ada unit (spec and
 skeleton body) conforming to a specified description in WSDL.

Package: libaws2.10.2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada Web Server shared library
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This is the runtime library for the Ada Web Server.

Package: libaws-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libaws2.10.2 (=${binary:Version}), ${misc:Depends}
Recommends: libaws2.10.2-dev (=${binary:Version})
Suggests: gnat
Description: Debugging symbols for the Ada Web Server shared library
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This is the library containing debugging symbols for the Ada Web Server.

Package: libaws-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada Web Server documentation
 AWS is a complete framework to develop Web based applications. The
 main part of the framework is the embedded Web server. This small yet
 powerful Web server can be embedded into your application so your
 application will be able to talk with a Web browser. Around this Web
 server a lot of services have been developed.
 .
 This package contains the documentation for the Ada Web Server in
 info, ASCII and HTML formats, as well as demos and source code of
 reusable web elements.

=== debian/rules ===
#!/usr/bin/make -f

CC=gnatgcc

aliversion := $(shell sed -n -r 's/^Package: libaws(.*)-dev$$/\1/p' debian/control)
soversion := $(shell sed -n -r 's/^Package: libaws([^-]+)$$/\1/p' debian/control)
mtnbase := base_debian.db
mtnversion := d0941d1d06f72dd5bedb60e6a558643d9d97e45e
branch := com.adacore.aws.debian
orig_dir := libaws_$(aliversion).orig
orig_tgz := libaws_$(aliversion).orig.tar.gz
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

file_to_spec=sed -e "s/\.ads//" -e "s/-/./g" -e "s!.*/!!g"

CPUS := $(shell getconf _NPROCESSORS_ONLN)

.SUFFIXES:

get-orig-source:
	if [ ! -e ../$(mtnbase) ]; then \
		mtn -d../$(mtnbase) db init; \
	fi; \
	mtn -d../$(mtnbase) -k "" pull www.ada-france.org '$(branch)'; \
	cd .. && \
	mtn -d$(mtnbase) co -r$(mtnversion) -b$(branch) $(orig_dir) && \
	rm -rf $(orig_dir)/_MTN $(orig_dir)/.*ignore&& \
	tar czf $(orig_tgz) $(orig_dir) && \
	rm -r $(orig_dir)

clean:
	dh_testdir
	dh_testroot
# to avoid conflict with libtemplateparser includes
	rm -rf debian/tmp
	rm -f $(addprefix docs/,*.html *.info *.pdf *.txt ada.sed genout)
	rm -f $(filter-out docs/style-guide.texi,$(wildcard docs/*.texi))
	dh_clean -a -i

build:
# do nothing

build-arch: static-lib shared-lib tools
build-indep: doc

binary: binary-arch binary-indep

pre-binary-checks:
	dh_testdir
	dh_testroot

binary-indep: build-indep pre-binary-checks libaws-doc
	dh_fixperms -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i -X.adb -X.ads -X.thtml -X.wsdl
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

libaws-doc:
	: # The doc package
	dh_installinfo -p$@ docs/aws.info docs/style-guide.info
	dh_installdocs -p$@ docs/*.html docs/*.txt docs/features* docs/known-problems readme.txt
	dh_installexamples -p$@ demos/*

DIRS := config config/src include src/soap src/core ssl src/xsrc src/extended
SOURCES := $(foreach d,$(DIRS),$(wildcard $(d)/*.ad[bs]))

binary-arch: build-arch libaws$(aliversion)-dev libaws-bin libaws$(soversion)
	: # Common to all architecture-dependent packages
	dh_installchangelogs -a
	dh_installdocs -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -Llibaws$(soversion) -ldebian/libaws$(soversion)/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

libaws$(aliversion)-dev: pre-binary-checks
	: # The development package
	dh_installdirs -p$@ \
		usr/lib/$(DEB_HOST_MULTIARCH) \
		usr/share/ada/adainclude/aws \
		usr/lib/ada/adalib/aws
	dh_install -p$@ debian/tmp/static/libaws.a /usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$@ debian/tmp/dynamic/*.ali /usr/lib/ada/adalib/aws
	dh_install -p$@ debian/aws.gpr /usr/share/ada/adainclude
	dh_install -p$@ $(SOURCES) /usr/share/ada/adainclude/aws
	dh_install -p$@ debian/tmp/aws-os_lib-definitions.ads \
	   /usr/share/ada/adainclude/aws
	dh_link -p$@ usr/lib/$(DEB_HOST_MULTIARCH)/libaws.so.$(soversion) \
	             usr/lib/$(DEB_HOST_MULTIARCH)/libaws.so
	dh_strip -p$@ -X.a

libaws-bin: build-arch pre-binary-checks
	: # The -bin package
	dh_installdirs -p$@ /usr/bin
	for i in ada2wsdl awsres wsdl2aws; do \
	   if [ -x debian/tmp/$$i ] ; then \
	      dh_install    -p$@ debian/tmp/$$i /usr/bin; \
	      dh_installman -p$@ debian/$$i.1; \
	   fi \
	done
	dh_strip -p$@

libaws$(soversion): build-arch pre-binary-checks
	: # The shared library package
	dh_installdirs -p$@ usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$@ debian/tmp/dynamic/libaws.so.$(soversion) usr/lib/$(DEB_HOST_MULTIARCH)
	: # The package containing debugging symbols
	dh_strip -p$@ --dbg-package=libaws-dbg

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary pre-binary-checks
.PHONY: libaws-doc libaws$(aliversion)-dev libaws-bin libaws$(soversion)

static-lib: debian/tmp/static/libaws.a
debian/tmp/static/libaws.a: debian/tmp/aws-os_lib-definitions.ads
	: # Build the static library
	gnatmake -j$(CPUS) -p -Pdebian/build_aws.gpr -Xkind=static

shared-lib: debian/tmp/dynamic/libaws.so.$(soversion)
debian/tmp/dynamic/libaws.so.$(soversion): debian/tmp/aws-os_lib-definitions.ads
	: # Build the shared library
	gnatmake -j$(CPUS) -fPIC -p -Pdebian/build_aws.gpr -Xkind=dynamic -Xsoname=libaws.so.$(soversion)

debian/tmp/aws-os_lib-definitions.ads: debian/tmp/check_config | debian/tmp
	$< $@

debian/tmp/check_config: config/setup/check_config.c | debian/tmp
	$(CC) -o $@ $<

tools: debian/tmp/ada2wsdl debian/tmp/awsres debian/tmp/wsdl2aws

debian/tmp/ada2wsdl: shared-lib
	: # Build ada2wsdl
	gnatmake -j$(CPUS) -p -Pdebian/ada2wsdl.gpr -Xkind=dynamic -Xsoname=libaws.so.$(soversion)

debian/tmp/awsres debian/tmp/wsdl2aws: shared-lib
	: # Build awsres and wsdl2aws
	gnatmake -j$(CPUS) -p -Pdebian/tools.gpr -Xkind=dynamic -Xsoname=libaws.so.$(soversion)

debian/tmp:
	-mkdir $@

doc:
	chmod u+x docs/gentexifile
	$(MAKE) -C docs

.PHONY: static-lib shared-lib tools doc

## libaws 3.2.0

=== debian/changelog ===
libaws (3.2.0-4ubuntu1) xenial; urgency=medium

  * Build Ada files with -O1 on i386 to work around an ICE.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 14:44:40 +0100

libaws (3.2.0-4) unstable; urgency=medium

  [Peter Green <plugwash@p10link.net>]
  * Backport upstream commits building with gnutls3.4.4. Closes: 782801.
  * Tweak debian/rules to build wrappers.c when building with gnutls.

  [Nicolas Boulenguez]
  * Split -arch and -indep debhelper overrides. Closes: #806626.
  * Ensure deterministic timestamps in ALI and PDF files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Feb 2016 21:51:43 +0100

libaws (3.2.0-3) unstable; urgency=medium

  * Move source package to section libs, raise -bin and -doc binary packages
    to priority optional (copied from ftpmasters overrides).
    Raise run-time library to optional, because -bin depends on it.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 21:12:47 +0200

libaws (3.2.0-2) unstable; urgency=medium

  * Explicit link with pthread on archs triggering #760211 compiler bug.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 01:51:38 +0200

libaws (3.2.0-1) unstable; urgency=low

  * New upstream release built with gnat4.9. Closes: #749159, #755082, #715223.
    libasis2014-dev, libxmlada5-dev and libtemplates-parser11.8.2015-dev.
    Per Ada policy, library and -dev package versions change.
  * License is now GPL-3+. Repackage with Files-Excluded to remove
    minified Javascript in embedded documentation.
  * Build-Depend: GNUTLS >= 3 in libgnutls28-dev package.
  * Switch to debhelper 9, dh-ada-library, dh_sphinxdoc.
    -dev does not embed unselected implementations anymore.
    aws.gpr, trampoline lintian override, and many deps are now generated.
  * Ada and C inherit hardening *flags. No more unused/unavailable symbols.
  * control: Section: libs->libdevel. +Homepage. Lib and -dev now multiarch.
    Build-Depend: -quilt +sphinxdoc -gcrypt-dev, non virtual ldap-dev.
    Standards-Version: 3.9.5. +VCS-*. Uploaders +: myself.
  * copyright: machine-readable format 1.0.
  * Enable ldap source directory.
  * source.lintian-override: -dbg Depends -lib, but after substitutions.
  * Moved source/options -> source/local-options. Use default compression.
  * Minimal runtime test and watch file. PDF and doc-base registration.
  * Programming style guide now only available in PDF format.
  * Lower priority to extra because Depends: libldap2-dev.
  * Remove duplicate examples (Build-Depends: rdfind, symlinks).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 14 Sep 2014 14:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: libaws
-Priority: optional
+Priority: extra
 Section: libs
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Build-Depends: debhelper (>= 8.1.3), gnat, gnat-4.6, quilt, libldap2-dev,
- zlib1g-dev, libxmlada4.1-dev (>= 4.1), libasis2010-dev (>= 2010),
- libtemplates-parser11.6-dev (>= 11.6)
+Uploaders: Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+ gnat, gnat-4.9, dh-ada-library (>= 5.5),
+# dh-ada-library 5.5 corrects a problem when stripping tools.
+# for build_aws.gpr:
+ libgnutls28-dev,
+ libldap2-dev,
+ libtemplates-parser11.8.2015-dev,
+ libxmlada5-dev,
+ libz-dev,
+ pkg-config,
+# for dh_sphinxdoc
+ sphinx-common,
+# deduplication in debian/rules
+ rdfind, symlinks,
+# for ada2wsdl.gpr:
+ libasis2014-dev
 Build-Depends-Indep: texinfo,
- texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
-Standards-Version: 3.9.2
+ python-sphinx,
+# Called in rules for deterministic PDF timestamps.
+ faketime,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Standards-Version: 3.9.6
+Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaws
+Vcs-Mtn: www.ada-france.org org.debian.libaws
+Homepage: https://libre.adacore.com/libre
 
-Package: libaws2.10.2-dev
+Package: libaws3.2.0-dev
 Section: libdevel
 Architecture: any
-Depends: libaws2.10.2 (= ${binary:Version}), gnat, gnat-4.6,
- libldap2-dev, libtemplates-parser11.6-dev, libxmlada4.1-dev, zlib1g-dev,
- ${misc:Depends}
+Depends: ${misc:Depends},
+ libgnutls28-dev,
+ libldap2-dev,
+ libz-dev,
+ ${ada:Depends}
 Recommends: libaws-bin (= ${binary:Version}), libaws-doc (= ${source:Version})
 Suggests: libaws-dbg (= ${binary:Version}), libjs-prototype
 Description: Ada Web Server development files
@@ -57,6 +81,7 @@
 
 Package: libaws-bin
 Section: devel
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ada Web Server utilities
@@ -80,8 +105,8 @@
  wsdl2aws does the opposite job: it creates an Ada unit (spec and
  skeleton body) conforming to a specified description in WSDL.
 
-Package: libaws2.10.2
-Section: libs
+Package: libaws3.2.0
+Priority: optional
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -97,11 +122,11 @@
 
 Package: libaws-dbg
 Section: debug
-Priority: extra
 Architecture: any
-Depends: libaws2.10.2 (=${binary:Version}), ${misc:Depends}
-Recommends: libaws2.10.2-dev (=${binary:Version})
-Suggests: gnat
+Multi-Arch: same
+Depends: ${ada:Depends}, ${misc:Depends}
+Recommends: ${ada:Recommends}
+Suggests: ${ada:Suggests}
 Description: Debugging symbols for the Ada Web Server shared library
  AWS is a complete framework to develop Web based applications. The
  main part of the framework is the embedded Web server. This small yet
@@ -113,8 +138,9 @@
 
 Package: libaws-doc
 Section: doc
+Priority: optional
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada Web Server documentation
  AWS is a complete framework to develop Web based applications. The

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Ada Web Server in Debian.
# Copyright (c) 2003-2013 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk
DEB_DATE := $(shell dpkg-parsechangelog -S date)

SSL := $(shell sed debian/control -ne ' \
  /^[ B].*\blibgnutls[0-9.]*-dev\b/ { s/.*/gnutls/ ; p; q };\
  /^[ B].*\blibssl-dev\b/           { s/.*/openssl/; p; q };\
  /^Package: /                      { s/.*/dummy/  ; p; q }')
ASIS := $(shell sed debian/control -ne '\
  /^[ B].*\blibasis[0-9.]*-dev\b/ { s/.*/yes/; p; q};\
  /^Package: /                    { s/.*/no/ ; p; q}')
soversion := $(shell sed debian/control -ne ' \
  /^Package: $(DEB_SOURCE)\([^-]\+\)$$/ { s//\1/; p; q}')

ADAFLAGS += -gnatafno -gnatVa -gnatwa
ifeq ($(DEB_HOST_ARCH),i386)
  ADAFLAGS += -O1
endif
CFLAGS += `pkg-config --cflags $(filter-out dummy,$(SSL)) zlib`
LDLIBS := `pkg-config --libs   $(filter-out dummy,$(SSL)) zlib` -llber -lldap
soname := $(DEB_SOURCE).so.$(soversion)

# Circumvent #760211. Since LDFLAGS contains --as-needed, this setting
# only takes effect on architectures triggering the bug.
LDLIBS += -lpthread

.SUFFIXES:

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library --with sphinxdoc

# Ignore upstream makefile (and ./configure, if ever).
.PHONY: $(addprefix override_dh_auto_,configure build-arch build-indep test install clean)
# Configure test install exist and are empty so that dh_auto_* does
# nothing.  We will replace upstream makefiles with build-* and clean.

######################################################################
build-aws-dynamic build-aws-static: src/core/aws-os_lib.ads
src/core/aws-os_lib.ads: src/core/xoscons \
                         src/core/aws-os_lib-tmplt.i \
                         src/core/aws-os_lib-tmplt.s
	cd src/core; ./xoscons aws-os_lib
src/core/xoscons: config/setup/xoscons.adb
	gnatmake $(BUILDER_OPTIONS) $< -D src/core -o $@ -cargs $(ADAFLAGS) -largs $(LDFLAGS)
src/core/aws-os_lib-tmplt.s: %.s: %.i
	$(CC) -S $(CFLAGS) $< -o $@
src/core/aws-os_lib-tmplt.i: config/setup/aws-os_lib-tmplt.c
	$(CC) -C -E $(CPPFLAGS) -DTARGET=\"$(DEB_HOST_MULTIARCH)\" $< -o $@

override_dh_auto_clean::
	rm -f src/core/aws-os_lib* src/core/xoscons* src/core/xutil.*

######################################################################
ADA2WSDL_OPTIONS_ADB := tools/ada2wsdl-options.adb

ifeq ($(ASIS),yes)
  build-tools: $(ADA2WSDL_OPTIONS_ADB)
endif
$(ADA2WSDL_OPTIONS_ADB): tools/%: debian/%.sed
	sed \
          -e 's|@ADAINCLUDE_PATH@|/usr/share/ada/adainclude|' \
          -e 's|@ADALIB_PATH@|/usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib|' \
          $< > $@

override_dh_auto_clean::
	rm -f $(ADA2WSDL_OPTIONS_ADB)

######################################################################
# Compile C sources from config/ssl/*/ (currently, only
# wrappers.c) as described in build_aws.gpr.
# If SSL=dummy, no source will be detected.
AWS_C_SRC_DIR   := config/ssl/$(SSL)
AWS_C_OBJ_DIR_D := debian/build_aws_obj_dynamic
AWS_C_OBJ_DIR_S := debian/build_aws_obj_static
AWS_C_SRCS   := $(wildcard $(AWS_C_SRC_DIR)/*.c)
AWS_C_OBJS_D := $(patsubst $(AWS_C_SRC_DIR)/%.c,$(AWS_C_OBJ_DIR_D)/%.o,$(AWS_C_SRCS))
AWS_C_OBJS_S := $(patsubst $(AWS_C_SRC_DIR)/%.c,$(AWS_C_OBJ_DIR_S)/%.o,$(AWS_C_SRCS))

build-aws-dynamic: $(AWS_C_OBJS_D)
build-aws-static : $(AWS_C_OBJS_S)

$(AWS_C_OBJS_D): $(AWS_C_OBJ_DIR_D)/%.o: $(AWS_C_SRC_DIR)/%.c
	$(CC) -c -fPIC $(CFLAGS) $(CPPFLAGS) $< -o $@
$(AWS_C_OBJS_S): $(AWS_C_OBJ_DIR_S)/%.o: $(AWS_C_SRC_DIR)/%.c
	$(CC) -c       $(CFLAGS) $(CPPFLAGS) $< -o $@

# The objects will be cleaned with Ada ones.

######################################################################
# Build both versions of the library.

override_dh_auto_build-arch: build-aws-dynamic build-aws-static
.PHONY: build-aws-dynamic build-aws-static
build-aws-static:
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build_aws.gpr -Xkind=static \
          $(foreach v,ADAFLAGS SSL,"-X$(v)=$($(v))")
build-aws-dynamic:
 # Ensure deterministic timestamps in ALI files.
	find . -depth \( -name "*.ad[bs]" -o -name "*.[hc]" \) \
	  -a -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
	gnatmake $(BUILDER_OPTIONS) -Pdebian/build_aws.gpr -Xkind=dynamic \
          $(foreach v,ADAFLAGS LDFLAGS LDLIBS soname SSL,"-X$(v)=$($(v))")

override_dh_auto_clean::
	rm -f $(foreach d, lib obj,$(foreach k,dynamic static, \
                debian/build_aws_$(d)_$(k)/*))

# An override is necessary because LDLIBS contains a shell escape.
# The projet should import directly xmlada.gpr and
# templates-parser.gpr (both are used by specs).
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
	dh_ada_library kind=dynamic \
          $(foreach v,LDLIBS soname SSL,"$(v)=$($(v))") \
          debian/build_aws.gpr

######################################################################
ifeq ($(ASIS),yes)
  TOOLS_GPR := debian/tools_with_asis.gpr
else
  TOOLS_GPR := debian/tools.gpr
endif

override_dh_auto_build-arch: build-tools
.PHONY: build-tools
build-tools: build-aws-dynamic
	gnatmake $(BUILDER_OPTIONS) -P$(TOOLS_GPR) -Xkind=dynamic \
          $(foreach v,ADAFLAGS LDFLAGS LDLIBS soname SSL,"-X$(v)=$($(v))")

override_dh_auto_clean::
	rm -f debian/tools_obj/*

######################################################################
.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libaws-doc -X.adb -X.ads -X.thtml -X.wsdl
	dh_compress --remaining-packages

INSTALLED_EXAMPLES := debian/libaws-doc/usr/share/doc/libaws-doc/examples
.PHONY: override_dh_installexamples-indep
override_dh_installexamples-indep:
	dh_installexamples --indep
 # Fix permissions.
	find $(INSTALLED_EXAMPLES) -type f -print0 | xargs -0r chmod 644
 # Replace duplicate files with symlinks, then make the links relative.
	rdfind -outputname /dev/null -makesymlinks true $(INSTALLED_EXAMPLES)
	symlinks -crs $(INSTALLED_EXAMPLES)

######################################################################
# Documentation.
# ./makefile would recompute all makefile.conf variables, assume only
# HTML output format, and assume the existence of templates_parser/.

# Freeze the clock for deterministic PDF timestamps. The faketime API
# does not allow an explicit time zone, introducing an implicit
# dependency on its local value.
DEB_DATE_FAKETIME := $(shell date "+%F %T" -d "$(DEB_DATE)")
override_dh_auto_build-indep:
	faketime -f "$(DEB_DATE_FAKETIME)" \
	$(MAKE) -C docs html info latexpdf text style-guide.pdf \
          SPHINXOPTS=-j$(BUILDER_JOBS) $(foreach v,ADAFLAGS LDFLAGS,"$(v)=$($(v))")

override_dh_auto_clean::
	$(MAKE) -C docs clean
	rm -f docs/source/*.pyc

=== debian/tests/control ===
Tests: ada2wsdl hello-wsdl link-with-shared

=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of this package. See debian/copyright for the URL.
